Bugfix signed/unsigned typecast.
[skeinsum.git] / makefile.in
1 # makefile.in generated by automake 1.14.1 from makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17
18 VPATH = @srcdir@
19 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
20 am__make_running_with_option = \
21   case $${target_option-} in \
22       ?) ;; \
23       *) echo "am__make_running_with_option: internal error: invalid" \
24               "target option '$${target_option-}' specified" >&2; \
25          exit 1;; \
26   esac; \
27   has_opt=no; \
28   sane_makeflags=$$MAKEFLAGS; \
29   if $(am__is_gnu_make); then \
30     sane_makeflags=$$MFLAGS; \
31   else \
32     case $$MAKEFLAGS in \
33       *\\[\ \   ]*) \
34         bs=\\; \
35         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
36           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
37     esac; \
38   fi; \
39   skip_next=no; \
40   strip_trailopt () \
41   { \
42     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
43   }; \
44   for flg in $$sane_makeflags; do \
45     test $$skip_next = yes && { skip_next=no; continue; }; \
46     case $$flg in \
47       *=*|--*) continue;; \
48         -*I) strip_trailopt 'I'; skip_next=yes;; \
49       -*I?*) strip_trailopt 'I';; \
50         -*O) strip_trailopt 'O'; skip_next=yes;; \
51       -*O?*) strip_trailopt 'O';; \
52         -*l) strip_trailopt 'l'; skip_next=yes;; \
53       -*l?*) strip_trailopt 'l';; \
54       -[dEDm]) skip_next=yes;; \
55       -[JT]) skip_next=yes;; \
56     esac; \
57     case $$flg in \
58       *$$target_option*) has_opt=yes; break;; \
59     esac; \
60   done; \
61   test $$has_opt = yes
62 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
63 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
64 pkgdatadir = $(datadir)/@PACKAGE@
65 pkgincludedir = $(includedir)/@PACKAGE@
66 pkglibdir = $(libdir)/@PACKAGE@
67 pkglibexecdir = $(libexecdir)/@PACKAGE@
68 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
69 install_sh_DATA = $(install_sh) -c -m 644
70 install_sh_PROGRAM = $(install_sh) -c
71 install_sh_SCRIPT = $(install_sh) -c
72 INSTALL_HEADER = $(INSTALL_DATA)
73 transform = $(program_transform_name)
74 NORMAL_INSTALL = :
75 PRE_INSTALL = :
76 POST_INSTALL = :
77 NORMAL_UNINSTALL = :
78 PRE_UNINSTALL = :
79 POST_UNINSTALL = :
80 bin_PROGRAMS = skein256sum$(EXEEXT) skein512sum$(EXEEXT) \
81         skein1024sum$(EXEEXT)
82 subdir = .
83 DIST_COMMON = INSTALL NEWS README AUTHORS ChangeLog \
84         $(srcdir)/makefile.in $(srcdir)/makefile.am \
85         $(top_srcdir)/configure $(am__configure_deps) \
86         $(srcdir)/config.h.in depcomp $(include_HEADERS) COPYING \
87         compile install-sh missing
88 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
89 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
90 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
91         $(ACLOCAL_M4)
92 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
93  configure.lineno config.status.lineno
94 mkinstalldirs = $(install_sh) -d
95 CONFIG_HEADER = config.h
96 CONFIG_CLEAN_FILES =
97 CONFIG_CLEAN_VPATH_FILES =
98 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(includedir)"
99 PROGRAMS = $(bin_PROGRAMS)
100 am_skein1024sum_OBJECTS = SHA3api_ref.$(OBJEXT) skein.$(OBJEXT) \
101         skein1024.$(OBJEXT) skein_block.$(OBJEXT) \
102         skein_debug.$(OBJEXT) skein_cli.$(OBJEXT)
103 skein1024sum_OBJECTS = $(am_skein1024sum_OBJECTS)
104 skein1024sum_LDADD = $(LDADD)
105 am_skein256sum_OBJECTS = SHA3api_ref.$(OBJEXT) skein.$(OBJEXT) \
106         skein256.$(OBJEXT) skein_block.$(OBJEXT) skein_debug.$(OBJEXT) \
107         skein_cli.$(OBJEXT)
108 skein256sum_OBJECTS = $(am_skein256sum_OBJECTS)
109 skein256sum_LDADD = $(LDADD)
110 am_skein512sum_OBJECTS = SHA3api_ref.$(OBJEXT) skein.$(OBJEXT) \
111         skein512.$(OBJEXT) skein_block.$(OBJEXT) skein_debug.$(OBJEXT) \
112         skein_cli.$(OBJEXT)
113 skein512sum_OBJECTS = $(am_skein512sum_OBJECTS)
114 skein512sum_LDADD = $(LDADD)
115 AM_V_P = $(am__v_P_@AM_V@)
116 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
117 am__v_P_0 = false
118 am__v_P_1 = :
119 AM_V_GEN = $(am__v_GEN_@AM_V@)
120 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
121 am__v_GEN_0 = @echo "  GEN     " $@;
122 am__v_GEN_1 = 
123 AM_V_at = $(am__v_at_@AM_V@)
124 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
125 am__v_at_0 = @
126 am__v_at_1 = 
127 DEFAULT_INCLUDES = -I.@am__isrc@
128 depcomp = $(SHELL) $(top_srcdir)/depcomp
129 am__depfiles_maybe = depfiles
130 am__mv = mv -f
131 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
132         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
133 AM_V_CC = $(am__v_CC_@AM_V@)
134 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
135 am__v_CC_0 = @echo "  CC      " $@;
136 am__v_CC_1 = 
137 CCLD = $(CC)
138 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
139 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
140 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
141 am__v_CCLD_0 = @echo "  CCLD    " $@;
142 am__v_CCLD_1 = 
143 SOURCES = $(skein1024sum_SOURCES) $(skein256sum_SOURCES) \
144         $(skein512sum_SOURCES)
145 DIST_SOURCES = $(skein1024sum_SOURCES) $(skein256sum_SOURCES) \
146         $(skein512sum_SOURCES)
147 am__can_run_installinfo = \
148   case $$AM_UPDATE_INFO_DIR in \
149     n|no|NO) false;; \
150     *) (install-info --version) >/dev/null 2>&1;; \
151   esac
152 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
153 am__vpath_adj = case $$p in \
154     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
155     *) f=$$p;; \
156   esac;
157 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
158 am__install_max = 40
159 am__nobase_strip_setup = \
160   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
161 am__nobase_strip = \
162   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
163 am__nobase_list = $(am__nobase_strip_setup); \
164   for p in $$list; do echo "$$p $$p"; done | \
165   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
166   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
167     if (++n[$$2] == $(am__install_max)) \
168       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
169     END { for (dir in files) print dir, files[dir] }'
170 am__base_list = \
171   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
172   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
173 am__uninstall_files_from_dir = { \
174   test -z "$$files" \
175     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
176     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
177          $(am__cd) "$$dir" && rm -f $$files; }; \
178   }
179 HEADERS = $(include_HEADERS)
180 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
181         $(LISP)config.h.in
182 # Read a list of newline-separated strings from the standard input,
183 # and print each of them once, without duplicates.  Input order is
184 # *not* preserved.
185 am__uniquify_input = $(AWK) '\
186   BEGIN { nonempty = 0; } \
187   { items[$$0] = 1; nonempty = 1; } \
188   END { if (nonempty) { for (i in items) print i; }; } \
189 '
190 # Make sure the list of sources is unique.  This is necessary because,
191 # e.g., the same source file might be shared among _SOURCES variables
192 # for different programs/libraries.
193 am__define_uniq_tagged_files = \
194   list='$(am__tagged_files)'; \
195   unique=`for i in $$list; do \
196     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
197   done | $(am__uniquify_input)`
198 ETAGS = etags
199 CTAGS = ctags
200 CSCOPE = cscope
201 AM_RECURSIVE_TARGETS = cscope
202 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
203 distdir = $(PACKAGE)-$(VERSION)
204 top_distdir = $(distdir)
205 am__remove_distdir = \
206   if test -d "$(distdir)"; then \
207     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
208       && rm -rf "$(distdir)" \
209       || { sleep 5 && rm -rf "$(distdir)"; }; \
210   else :; fi
211 am__post_remove_distdir = $(am__remove_distdir)
212 DIST_ARCHIVES = $(distdir).tar.gz
213 GZIP_ENV = --best
214 DIST_TARGETS = dist-gzip
215 distuninstallcheck_listfiles = find . -type f -print
216 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
217   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
218 distcleancheck_listfiles = find . -type f -print
219 ACLOCAL = @ACLOCAL@
220 AMTAR = @AMTAR@
221 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
222 AUTOCONF = @AUTOCONF@
223 AUTOHEADER = @AUTOHEADER@
224 AUTOMAKE = @AUTOMAKE@
225 AWK = @AWK@
226 CC = @CC@
227 CCDEPMODE = @CCDEPMODE@
228 CFLAGS = @CFLAGS@
229 CPP = @CPP@
230 CPPFLAGS = @CPPFLAGS@
231 CYGPATH_W = @CYGPATH_W@
232 DEFS = @DEFS@
233 DEPDIR = @DEPDIR@
234 ECHO_C = @ECHO_C@
235 ECHO_N = @ECHO_N@
236 ECHO_T = @ECHO_T@
237 EGREP = @EGREP@
238 EXEEXT = @EXEEXT@
239 GREP = @GREP@
240 INSTALL = @INSTALL@
241 INSTALL_DATA = @INSTALL_DATA@
242 INSTALL_PROGRAM = @INSTALL_PROGRAM@
243 INSTALL_SCRIPT = @INSTALL_SCRIPT@
244 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
245 LDFLAGS = @LDFLAGS@
246 LIBOBJS = @LIBOBJS@
247 LIBS = @LIBS@
248 LTLIBOBJS = @LTLIBOBJS@
249 MAKEINFO = @MAKEINFO@
250 MKDIR_P = @MKDIR_P@
251 OBJEXT = @OBJEXT@
252 PACKAGE = @PACKAGE@
253 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
254 PACKAGE_NAME = @PACKAGE_NAME@
255 PACKAGE_STRING = @PACKAGE_STRING@
256 PACKAGE_TARNAME = @PACKAGE_TARNAME@
257 PACKAGE_URL = @PACKAGE_URL@
258 PACKAGE_VERSION = @PACKAGE_VERSION@
259 PATH_SEPARATOR = @PATH_SEPARATOR@
260 SET_MAKE = @SET_MAKE@
261 SHELL = @SHELL@
262 STRIP = @STRIP@
263 VERSION = @VERSION@
264 abs_builddir = @abs_builddir@
265 abs_srcdir = @abs_srcdir@
266 abs_top_builddir = @abs_top_builddir@
267 abs_top_srcdir = @abs_top_srcdir@
268 ac_ct_CC = @ac_ct_CC@
269 am__include = @am__include@
270 am__leading_dot = @am__leading_dot@
271 am__quote = @am__quote@
272 am__tar = @am__tar@
273 am__untar = @am__untar@
274 bindir = @bindir@
275 build_alias = @build_alias@
276 builddir = @builddir@
277 datadir = @datadir@
278 datarootdir = @datarootdir@
279 docdir = @docdir@
280 dvidir = @dvidir@
281 exec_prefix = @exec_prefix@
282 host_alias = @host_alias@
283 htmldir = @htmldir@
284 includedir = @includedir@
285 infodir = @infodir@
286 install_sh = @install_sh@
287 libdir = @libdir@
288 libexecdir = @libexecdir@
289 localedir = @localedir@
290 localstatedir = @localstatedir@
291 mandir = @mandir@
292 mkdir_p = @mkdir_p@
293 oldincludedir = @oldincludedir@
294 pdfdir = @pdfdir@
295 prefix = @prefix@
296 program_transform_name = @program_transform_name@
297 psdir = @psdir@
298 sbindir = @sbindir@
299 sharedstatedir = @sharedstatedir@
300 srcdir = @srcdir@
301 sysconfdir = @sysconfdir@
302 target_alias = @target_alias@
303 top_build_prefix = @top_build_prefix@
304 top_builddir = @top_builddir@
305 top_srcdir = @top_srcdir@
306 skein256sum_SOURCES = SHA3api_ref.c skein.c skein256.c skein_block.c skein_debug.c skein_cli.c
307 skein512sum_SOURCES = SHA3api_ref.c skein.c skein512.c skein_block.c skein_debug.c skein_cli.c
308 skein1024sum_SOURCES = SHA3api_ref.c skein.c skein1024.c skein_block.c skein_debug.c skein_cli.c
309 include_HEADERS = brg_endian.h brg_types.h SHA3api_ref.h skein.h skein_debug.h skein_port.h
310 all: config.h
311         $(MAKE) $(AM_MAKEFLAGS) all-am
312
313 .SUFFIXES:
314 .SUFFIXES: .c .o .obj
315 am--refresh: makefile
316         @:
317 $(srcdir)/makefile.in:  $(srcdir)/makefile.am  $(am__configure_deps)
318         @for dep in $?; do \
319           case '$(am__configure_deps)' in \
320             *$$dep*) \
321               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
322               $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
323                 && exit 0; \
324               exit 1;; \
325           esac; \
326         done; \
327         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu makefile'; \
328         $(am__cd) $(top_srcdir) && \
329           $(AUTOMAKE) --gnu makefile
330 .PRECIOUS: makefile
331 makefile: $(srcdir)/makefile.in $(top_builddir)/config.status
332         @case '$?' in \
333           *config.status*) \
334             echo ' $(SHELL) ./config.status'; \
335             $(SHELL) ./config.status;; \
336           *) \
337             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
338             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
339         esac;
340
341 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
342         $(SHELL) ./config.status --recheck
343
344 $(top_srcdir)/configure:  $(am__configure_deps)
345         $(am__cd) $(srcdir) && $(AUTOCONF)
346 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
347         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
348 $(am__aclocal_m4_deps):
349
350 config.h: stamp-h1
351         @test -f $@ || rm -f stamp-h1
352         @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
353
354 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
355         @rm -f stamp-h1
356         cd $(top_builddir) && $(SHELL) ./config.status config.h
357 $(srcdir)/config.h.in:  $(am__configure_deps) 
358         ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
359         rm -f stamp-h1
360         touch $@
361
362 distclean-hdr:
363         -rm -f config.h stamp-h1
364 install-binPROGRAMS: $(bin_PROGRAMS)
365         @$(NORMAL_INSTALL)
366         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
367         if test -n "$$list"; then \
368           echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
369           $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
370         fi; \
371         for p in $$list; do echo "$$p $$p"; done | \
372         sed 's/$(EXEEXT)$$//' | \
373         while read p p1; do if test -f $$p \
374           ; then echo "$$p"; echo "$$p"; else :; fi; \
375         done | \
376         sed -e 'p;s,.*/,,;n;h' \
377             -e 's|.*|.|' \
378             -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
379         sed 'N;N;N;s,\n, ,g' | \
380         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
381           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
382             if ($$2 == $$4) files[d] = files[d] " " $$1; \
383             else { print "f", $$3 "/" $$4, $$1; } } \
384           END { for (d in files) print "f", d, files[d] }' | \
385         while read type dir files; do \
386             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
387             test -z "$$files" || { \
388               echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
389               $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
390             } \
391         ; done
392
393 uninstall-binPROGRAMS:
394         @$(NORMAL_UNINSTALL)
395         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
396         files=`for p in $$list; do echo "$$p"; done | \
397           sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
398               -e 's/$$/$(EXEEXT)/' \
399         `; \
400         test -n "$$list" || exit 0; \
401         echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
402         cd "$(DESTDIR)$(bindir)" && rm -f $$files
403
404 clean-binPROGRAMS:
405         -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
406
407 skein1024sum$(EXEEXT): $(skein1024sum_OBJECTS) $(skein1024sum_DEPENDENCIES) $(EXTRA_skein1024sum_DEPENDENCIES) 
408         @rm -f skein1024sum$(EXEEXT)
409         $(AM_V_CCLD)$(LINK) $(skein1024sum_OBJECTS) $(skein1024sum_LDADD) $(LIBS)
410
411 skein256sum$(EXEEXT): $(skein256sum_OBJECTS) $(skein256sum_DEPENDENCIES) $(EXTRA_skein256sum_DEPENDENCIES) 
412         @rm -f skein256sum$(EXEEXT)
413         $(AM_V_CCLD)$(LINK) $(skein256sum_OBJECTS) $(skein256sum_LDADD) $(LIBS)
414
415 skein512sum$(EXEEXT): $(skein512sum_OBJECTS) $(skein512sum_DEPENDENCIES) $(EXTRA_skein512sum_DEPENDENCIES) 
416         @rm -f skein512sum$(EXEEXT)
417         $(AM_V_CCLD)$(LINK) $(skein512sum_OBJECTS) $(skein512sum_LDADD) $(LIBS)
418
419 mostlyclean-compile:
420         -rm -f *.$(OBJEXT)
421
422 distclean-compile:
423         -rm -f *.tab.c
424
425 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SHA3api_ref.Po@am__quote@
426 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/skein.Po@am__quote@
427 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/skein1024.Po@am__quote@
428 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/skein256.Po@am__quote@
429 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/skein512.Po@am__quote@
430 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/skein_block.Po@am__quote@
431 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/skein_cli.Po@am__quote@
432 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/skein_debug.Po@am__quote@
433
434 .c.o:
435 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
436 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
437 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
438 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
439 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
440
441 .c.obj:
442 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
443 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
444 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
445 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
446 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
447 install-includeHEADERS: $(include_HEADERS)
448         @$(NORMAL_INSTALL)
449         @list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \
450         if test -n "$$list"; then \
451           echo " $(MKDIR_P) '$(DESTDIR)$(includedir)'"; \
452           $(MKDIR_P) "$(DESTDIR)$(includedir)" || exit 1; \
453         fi; \
454         for p in $$list; do \
455           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
456           echo "$$d$$p"; \
457         done | $(am__base_list) | \
458         while read files; do \
459           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(includedir)'"; \
460           $(INSTALL_HEADER) $$files "$(DESTDIR)$(includedir)" || exit $$?; \
461         done
462
463 uninstall-includeHEADERS:
464         @$(NORMAL_UNINSTALL)
465         @list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \
466         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
467         dir='$(DESTDIR)$(includedir)'; $(am__uninstall_files_from_dir)
468
469 ID: $(am__tagged_files)
470         $(am__define_uniq_tagged_files); mkid -fID $$unique
471 tags: tags-am
472 TAGS: tags
473
474 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
475         set x; \
476         here=`pwd`; \
477         $(am__define_uniq_tagged_files); \
478         shift; \
479         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
480           test -n "$$unique" || unique=$$empty_fix; \
481           if test $$# -gt 0; then \
482             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
483               "$$@" $$unique; \
484           else \
485             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
486               $$unique; \
487           fi; \
488         fi
489 ctags: ctags-am
490
491 CTAGS: ctags
492 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
493         $(am__define_uniq_tagged_files); \
494         test -z "$(CTAGS_ARGS)$$unique" \
495           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
496              $$unique
497
498 GTAGS:
499         here=`$(am__cd) $(top_builddir) && pwd` \
500           && $(am__cd) $(top_srcdir) \
501           && gtags -i $(GTAGS_ARGS) "$$here"
502 cscope: cscope.files
503         test ! -s cscope.files \
504           || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
505 clean-cscope:
506         -rm -f cscope.files
507 cscope.files: clean-cscope cscopelist
508 cscopelist: cscopelist-am
509
510 cscopelist-am: $(am__tagged_files)
511         list='$(am__tagged_files)'; \
512         case "$(srcdir)" in \
513           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
514           *) sdir=$(subdir)/$(srcdir) ;; \
515         esac; \
516         for i in $$list; do \
517           if test -f "$$i"; then \
518             echo "$(subdir)/$$i"; \
519           else \
520             echo "$$sdir/$$i"; \
521           fi; \
522         done >> $(top_builddir)/cscope.files
523
524 distclean-tags:
525         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
526         -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
527
528 distdir: $(DISTFILES)
529         $(am__remove_distdir)
530         test -d "$(distdir)" || mkdir "$(distdir)"
531         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
532         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
533         list='$(DISTFILES)'; \
534           dist_files=`for file in $$list; do echo $$file; done | \
535           sed -e "s|^$$srcdirstrip/||;t" \
536               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
537         case $$dist_files in \
538           */*) $(MKDIR_P) `echo "$$dist_files" | \
539                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
540                            sort -u` ;; \
541         esac; \
542         for file in $$dist_files; do \
543           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
544           if test -d $$d/$$file; then \
545             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
546             if test -d "$(distdir)/$$file"; then \
547               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
548             fi; \
549             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
550               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
551               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
552             fi; \
553             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
554           else \
555             test -f "$(distdir)/$$file" \
556             || cp -p $$d/$$file "$(distdir)/$$file" \
557             || exit 1; \
558           fi; \
559         done
560         -test -n "$(am__skip_mode_fix)" \
561         || find "$(distdir)" -type d ! -perm -755 \
562                 -exec chmod u+rwx,go+rx {} \; -o \
563           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
564           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
565           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
566         || chmod -R a+r "$(distdir)"
567 dist-gzip: distdir
568         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
569         $(am__post_remove_distdir)
570
571 dist-bzip2: distdir
572         tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
573         $(am__post_remove_distdir)
574
575 dist-lzip: distdir
576         tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
577         $(am__post_remove_distdir)
578
579 dist-xz: distdir
580         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
581         $(am__post_remove_distdir)
582
583 dist-tarZ: distdir
584         @echo WARNING: "Support for shar distribution archives is" \
585                        "deprecated." >&2
586         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
587         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
588         $(am__post_remove_distdir)
589
590 dist-shar: distdir
591         @echo WARNING: "Support for distribution archives compressed with" \
592                        "legacy program 'compress' is deprecated." >&2
593         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
594         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
595         $(am__post_remove_distdir)
596
597 dist-zip: distdir
598         -rm -f $(distdir).zip
599         zip -rq $(distdir).zip $(distdir)
600         $(am__post_remove_distdir)
601
602 dist dist-all:
603         $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
604         $(am__post_remove_distdir)
605
606 # This target untars the dist file and tries a VPATH configuration.  Then
607 # it guarantees that the distribution is self-contained by making another
608 # tarfile.
609 distcheck: dist
610         case '$(DIST_ARCHIVES)' in \
611         *.tar.gz*) \
612           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
613         *.tar.bz2*) \
614           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
615         *.tar.lz*) \
616           lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
617         *.tar.xz*) \
618           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
619         *.tar.Z*) \
620           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
621         *.shar.gz*) \
622           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
623         *.zip*) \
624           unzip $(distdir).zip ;;\
625         esac
626         chmod -R a-w $(distdir)
627         chmod u+w $(distdir)
628         mkdir $(distdir)/_build $(distdir)/_inst
629         chmod a-w $(distdir)
630         test -d $(distdir)/_build || exit 0; \
631         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
632           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
633           && am__cwd=`pwd` \
634           && $(am__cd) $(distdir)/_build \
635           && ../configure \
636             $(AM_DISTCHECK_CONFIGURE_FLAGS) \
637             $(DISTCHECK_CONFIGURE_FLAGS) \
638             --srcdir=.. --prefix="$$dc_install_base" \
639           && $(MAKE) $(AM_MAKEFLAGS) \
640           && $(MAKE) $(AM_MAKEFLAGS) dvi \
641           && $(MAKE) $(AM_MAKEFLAGS) check \
642           && $(MAKE) $(AM_MAKEFLAGS) install \
643           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
644           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
645           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
646                 distuninstallcheck \
647           && chmod -R a-w "$$dc_install_base" \
648           && ({ \
649                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
650                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
651                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
652                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
653                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
654               } || { rm -rf "$$dc_destdir"; exit 1; }) \
655           && rm -rf "$$dc_destdir" \
656           && $(MAKE) $(AM_MAKEFLAGS) dist \
657           && rm -rf $(DIST_ARCHIVES) \
658           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
659           && cd "$$am__cwd" \
660           || exit 1
661         $(am__post_remove_distdir)
662         @(echo "$(distdir) archives ready for distribution: "; \
663           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
664           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
665 distuninstallcheck:
666         @test -n '$(distuninstallcheck_dir)' || { \
667           echo 'ERROR: trying to run $@ with an empty' \
668                '$$(distuninstallcheck_dir)' >&2; \
669           exit 1; \
670         }; \
671         $(am__cd) '$(distuninstallcheck_dir)' || { \
672           echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
673           exit 1; \
674         }; \
675         test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
676            || { echo "ERROR: files left after uninstall:" ; \
677                 if test -n "$(DESTDIR)"; then \
678                   echo "  (check DESTDIR support)"; \
679                 fi ; \
680                 $(distuninstallcheck_listfiles) ; \
681                 exit 1; } >&2
682 distcleancheck: distclean
683         @if test '$(srcdir)' = . ; then \
684           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
685           exit 1 ; \
686         fi
687         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
688           || { echo "ERROR: files left in build directory after distclean:" ; \
689                $(distcleancheck_listfiles) ; \
690                exit 1; } >&2
691 check-am: all-am
692 check: check-am
693 all-am: makefile $(PROGRAMS) $(HEADERS) config.h
694 installdirs:
695         for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(includedir)"; do \
696           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
697         done
698 install: install-am
699 install-exec: install-exec-am
700 install-data: install-data-am
701 uninstall: uninstall-am
702
703 install-am: all-am
704         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
705
706 installcheck: installcheck-am
707 install-strip:
708         if test -z '$(STRIP)'; then \
709           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
710             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
711               install; \
712         else \
713           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
714             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
715             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
716         fi
717 mostlyclean-generic:
718
719 clean-generic:
720
721 distclean-generic:
722         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
723         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
724
725 maintainer-clean-generic:
726         @echo "This command is intended for maintainers to use"
727         @echo "it deletes files that may require special tools to rebuild."
728 clean: clean-am
729
730 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
731
732 distclean: distclean-am
733         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
734         -rm -rf ./$(DEPDIR)
735         -rm -f makefile
736 distclean-am: clean-am distclean-compile distclean-generic \
737         distclean-hdr distclean-tags
738
739 dvi: dvi-am
740
741 dvi-am:
742
743 html: html-am
744
745 html-am:
746
747 info: info-am
748
749 info-am:
750
751 install-data-am: install-includeHEADERS
752
753 install-dvi: install-dvi-am
754
755 install-dvi-am:
756
757 install-exec-am: install-binPROGRAMS
758
759 install-html: install-html-am
760
761 install-html-am:
762
763 install-info: install-info-am
764
765 install-info-am:
766
767 install-man:
768
769 install-pdf: install-pdf-am
770
771 install-pdf-am:
772
773 install-ps: install-ps-am
774
775 install-ps-am:
776
777 installcheck-am:
778
779 maintainer-clean: maintainer-clean-am
780         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
781         -rm -rf $(top_srcdir)/autom4te.cache
782         -rm -rf ./$(DEPDIR)
783         -rm -f makefile
784 maintainer-clean-am: distclean-am maintainer-clean-generic
785
786 mostlyclean: mostlyclean-am
787
788 mostlyclean-am: mostlyclean-compile mostlyclean-generic
789
790 pdf: pdf-am
791
792 pdf-am:
793
794 ps: ps-am
795
796 ps-am:
797
798 uninstall-am: uninstall-binPROGRAMS uninstall-includeHEADERS
799
800 .MAKE: all install-am install-strip
801
802 .PHONY: CTAGS GTAGS TAGS all all-am am--refresh check check-am clean \
803         clean-binPROGRAMS clean-cscope clean-generic cscope \
804         cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
805         dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
806         distcheck distclean distclean-compile distclean-generic \
807         distclean-hdr distclean-tags distcleancheck distdir \
808         distuninstallcheck dvi dvi-am html html-am info info-am \
809         install install-am install-binPROGRAMS install-data \
810         install-data-am install-dvi install-dvi-am install-exec \
811         install-exec-am install-html install-html-am \
812         install-includeHEADERS install-info install-info-am \
813         install-man install-pdf install-pdf-am install-ps \
814         install-ps-am install-strip installcheck installcheck-am \
815         installdirs maintainer-clean maintainer-clean-generic \
816         mostlyclean mostlyclean-compile mostlyclean-generic pdf pdf-am \
817         ps ps-am tags tags-am uninstall uninstall-am \
818         uninstall-binPROGRAMS uninstall-includeHEADERS
819
820
821 # Tell versions [3.59,3.63) of GNU make to not export all variables.
822 # Otherwise a system limit (for SysV at least) may be exceeded.
823 .NOEXPORT: